Skip to main content
PUT
/
vault
/
{entryId}
curl -X PUT https://app.drime.cloud/api/v1/vault/111345 \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "renamed-document.pdf",
    "initialName": "original-document.pdf"
  }'
{
  "fileEntry": {
    "id": 111345,
    "name": "renamed-document.pdf",
    "type": "file",
    "file_size": 371266,
    "is_encrypted": 1,
    "iv": "JLo1M0ZrXoB/M5io",
    "vault_id": 993,
    "hash": "MTExMzQ1fHBhZA"
  },
  "status": "success"
}

Documentation Index

Fetch the complete documentation index at: https://docs.drime.cloud/llms.txt

Use this file to discover all available pages before exploring further.

Overview

Updates a vault entry’s metadata, such as renaming the file.

Path Parameters

entryId
integer
required
ID of the vault entry

Request Body

name
string
required
New filename
initialName
string
required
Original filename (for validation)

Response

fileEntry
object
The updated file entry
status
string
Request status (success)
curl -X PUT https://app.drime.cloud/api/v1/vault/111345 \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "renamed-document.pdf",
    "initialName": "original-document.pdf"
  }'
{
  "fileEntry": {
    "id": 111345,
    "name": "renamed-document.pdf",
    "type": "file",
    "file_size": 371266,
    "is_encrypted": 1,
    "iv": "JLo1M0ZrXoB/M5io",
    "vault_id": 993,
    "hash": "MTExMzQ1fHBhZA"
  },
  "status": "success"
}